### HPC Scan - Scripts

This folder contains the scripts for running an HPC scan. Required functions are in the "Functions" folder. The "run_scan_hpc.sh" file submits a job to the HPC (this system is adapted to the Cambridge university HPC, HPC systems at other institutions might be set up differently). The HPC receives a job array, which runs the "scan_parameters.jl" file several times (each run takes a portion of the input). If 10000 parameter sets are scanned, and a 1000-length job array is used, each job scans 10 parameter sets.

This scan performs simulations of a sigma B model, and collects some statistics used to classify behavioural magnitudes. The "scan_parameters.jl" file contains several options (e.g. "phosphatase_parameters_scan") for which scan to run. These options are given as input to "run_scan_hpc.sh".